# Class Position.Bias

java.lang.Object
javax.swing.text.Position.Bias

Enclosing interface:
  `Position`

public static final class Position.Bias extends Object
A typesafe enumeration to indicate bias to a position in the model. A position indicates a location between two characters. The bias can be used to indicate an interest toward one of the two sides of the position in boundary conditions where a simple offset is ambiguous.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Position.Bias`
  `Backward`
  Indicates a bias toward the previous character in the model.
  `static final Position.Bias`
  `Forward`
  Indicates to bias toward the next character in the model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  string representation

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### Forward

    public static final Position.Bias Forward
    Indicates to bias toward the next character in the model.

  - ### Backward

    public static final Position.Bias Backward
    Indicates a bias toward the previous character in the model.

- ## Method Details

  - ### toString

    public String toString()
    string representation
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object